Stats

Authentication
La clé API doit être envoyée sous forme de jeton Bearer dans l'en-tête Authorization de la requête. Obtenez votre clé API.
Affichage

Point de terminaison de l'API

GET
https://stats.sycow.fr/api/v1/stats/{website_id}

Exemple de requête

curl --location --request GET 'https://stats.sycow.fr/api/v1/stats/{website_id}?name={name}&from={from}&to={to}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'

Parameters

Nom
Type
Description
name
requis string
Nom. Possible values are: browser, campaign, city, continent, country, device, event, language, operating_system, page, pageview, referrer, screen_resolution, visitor.
from
requis string
Starting date in Y-m-d format.
to
requis string
Ending date in Y-m-d format.
search
optionnel string
Search query.
search_by
optionnel string
Rechercher par. Possible values are: value for Value.
sort_by
optionnel string
Trier par. Possible values are: count for Count, value for Value. Defaults to: count.
sort
optionnel string
Trier. Possible values are: desc for Descendant, asc for Ascendant. Defaults to: desc.
per_page
optionnel integer
Résultats par page. Possible values are: 10, 25, 50, 100. Defaults to: 100.